package ch.apkern.test.server;

import org.jboss.errai.bus.server.annotations.Service;

import ch.apkern.test.client.shared.HelloMessage;
import ch.apkern.test.client.shared.RemoteService;
import ch.apkern.test.client.shared.Response;

/**
 * @author : Michel Werren
 * @since : 9/16/13 / 9:19 AM
 */
@Service
public class RemoteServiceImpl implements RemoteService {
	@Override
	public Response sayHello(HelloMessage helloMessage) {
		String name = helloMessage.getMessage();
		return new Response("Hello " + name + " " + System.currentTimeMillis());
	}
}
